package com.bib.essensbestellungsverwaltung;

import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.DatePicker;
import javafx.scene.control.ListView;

import java.time.LocalDate;
import java.util.Calendar;
import java.util.List;

public class DailyOrderController {
    public ListView listView;
    public DatePicker datePicker;


    @FXML
    public void initialize() {
        datePicker.setValue(LocalDate.now());
        updatePlan(datePicker.getValue().toString());
    }

    public void onChangeDate(ActionEvent actionEvent) {
        updatePlan(datePicker.getValue().toString());
    }


    private void updatePlan(String date){
        System.out.print("Orders from " + date + " : ");
        List<String> orders = FoodMgr.getDayOrder(date);

        System.out.println(orders);

        listView.getItems().clear();
        for(String order : orders){
            listView.getItems().add(order);
        }
    }
}
